> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ton.org/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://docs.ton.org/feedback

```json
{
  "path": "/ecosystem/api/toncenter/v3/blockchain-data/get-transactions",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Get transactions

> Get transactions by specified filter.



## OpenAPI

````yaml get /api/v3/transactions
openapi: 3.0.0
info:
  title: TON Index (Go)
  description: >-
    TON Index collects data from a full node to PostgreSQL database and provides
    convenient API to an indexed blockchain.
  version: 1.2.4-rc
  contact: {}
servers:
  - url: https://toncenter.com
  - url: https://testnet.toncenter.com
security: []
paths:
  /api/v3/transactions:
    get:
      tags:
        - Blockchain Data
      summary: Get transactions
      description: Get transactions by specified filter.
      operationId: api_v3_get_transactions
      parameters:
        - name: workchain
          in: query
          description: Block workchain.
          schema:
            type: integer
            format: int32
        - name: shard
          in: query
          description: >-
            Block shard id. Must be sent with *workchain*. Example:
            `8000000000000000`.
          schema:
            type: string
        - name: seqno
          in: query
          description: Block block seqno. Must be sent with *workchain* and *shard*.
          schema:
            type: integer
            format: int32
        - name: mc_seqno
          in: query
          description: Masterchain block seqno.
          schema:
            type: integer
            format: int32
        - name: account
          in: query
          description: >-
            List of account addresses to get transactions. Can be sent in hex,
            base64 or base64url form.
          explode: true
          schema:
            type: array
            items:
              type: string
        - name: exclude_account
          in: query
          description: Exclude transactions on specified account addresses.
          explode: true
          schema:
            type: array
            items:
              type: string
        - name: hash
          in: query
          description: Transaction hash.
          schema:
            type: string
        - name: lt
          in: query
          description: Transaction lt.
          schema:
            type: integer
            format: int64
        - name: start_utime
          in: query
          description: >-
            Query transactions with generation UTC timestamp **after** given
            timestamp.
          schema:
            type: integer
            format: int32
            minimum: 0
        - name: end_utime
          in: query
          description: >-
            Query transactions with generation UTC timestamp **before** given
            timestamp.
          schema:
            type: integer
            format: int32
            minimum: 0
        - name: start_lt
          in: query
          description: Query transactions with `lt >= start_lt`.
          schema:
            type: integer
            format: int64
            minimum: 0
        - name: end_lt
          in: query
          description: Query transactions with `lt <= end_lt`.
          schema:
            type: integer
            format: int64
            minimum: 0
        - name: limit
          in: query
          description: Limit number of queried rows. Use with *offset* to batch read.
          schema:
            type: integer
            format: int32
            default: 10
            minimum: 1
            maximum: 1000
        - name: offset
          in: query
          description: Skip first N rows. Use with *limit* to batch read.
          schema:
            type: integer
            format: int32
            default: 0
            minimum: 0
        - name: sort
          in: query
          description: Sort transactions by lt.
          schema:
            type: string
            default: desc
            enum:
              - asc
              - desc
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TransactionsResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RequestError'
      security: []
components:
  schemas:
    TransactionsResponse:
      type: object
      properties:
        address_book:
          $ref: '#/components/schemas/AddressBook'
        transactions:
          type: array
          items:
            $ref: '#/components/schemas/Transaction'
    RequestError:
      type: object
      properties:
        code:
          type: integer
        error:
          type: string
    AddressBook:
      type: object
      additionalProperties:
        $ref: '#/components/schemas/AddressBookRow'
    Transaction:
      type: object
      properties:
        account:
          type: string
        account_state_after:
          $ref: '#/components/schemas/AccountState'
        account_state_before:
          $ref: '#/components/schemas/AccountState'
        block_ref:
          $ref: '#/components/schemas/BlockId'
        description:
          $ref: '#/components/schemas/TransactionDescr'
        emulated:
          type: boolean
        end_status:
          type: string
        hash:
          type: string
        in_msg:
          $ref: '#/components/schemas/Message'
        lt:
          type: string
          example: '0'
        mc_block_seqno:
          type: integer
        now:
          type: integer
        orig_status:
          type: string
        out_msgs:
          type: array
          items:
            $ref: '#/components/schemas/Message'
        prev_trans_hash:
          type: string
        prev_trans_lt:
          type: string
          example: '0'
        total_fees:
          type: string
          example: '0'
        total_fees_extra_currencies:
          type: object
          additionalProperties:
            type: string
        trace_external_hash:
          type: string
        trace_id:
          type: string
    AddressBookRow:
      type: object
      properties:
        domain:
          type: string
        interfaces:
          type: array
          items:
            type: string
        user_friendly:
          type: string
    AccountState:
      type: object
      properties:
        account_status:
          type: string
        balance:
          type: string
        code_boc:
          type: string
        code_hash:
          type: string
        data_boc:
          type: string
        data_hash:
          type: string
        extra_currencies:
          type: object
          additionalProperties:
            type: string
        frozen_hash:
          type: string
        hash:
          type: string
    BlockId:
      type: object
      properties:
        seqno:
          type: integer
        shard:
          type: string
          example: '0'
        workchain:
          type: integer
    TransactionDescr:
      type: object
      properties:
        aborted:
          type: boolean
        action:
          $ref: '#/components/schemas/ActionPhase'
        bounce:
          $ref: '#/components/schemas/BouncePhase'
        compute_ph:
          $ref: '#/components/schemas/ComputePhase'
        credit_first:
          type: boolean
        credit_ph:
          $ref: '#/components/schemas/CreditPhase'
        destroyed:
          type: boolean
        installed:
          type: boolean
        is_tock:
          type: boolean
        split_info:
          $ref: '#/components/schemas/SplitInfo'
        storage_ph:
          $ref: '#/components/schemas/StoragePhase'
        type:
          type: string
    Message:
      type: object
      properties:
        bounce:
          type: boolean
        bounced:
          type: boolean
        created_at:
          type: string
          example: '0'
        created_lt:
          type: string
          example: '0'
        decoded_opcode:
          type: string
        destination:
          type: string
        extra_flags:
          type: string
        fwd_fee:
          type: string
          example: '0'
        hash:
          type: string
        hash_norm:
          type: string
        ihr_disabled:
          type: boolean
        ihr_fee:
          type: string
          example: '0'
        import_fee:
          type: string
          example: '0'
        in_msg_tx_hash:
          type: string
        init_state:
          $ref: '#/components/schemas/MessageContent'
        message_content:
          $ref: '#/components/schemas/MessageContent'
        opcode:
          type: integer
        out_msg_tx_hash:
          type: string
        source:
          type: string
        value:
          type: string
          example: '0'
        value_extra_currencies:
          type: object
          additionalProperties:
            type: string
    ActionPhase:
      type: object
      properties:
        action_list_hash:
          type: string
        msgs_created:
          type: integer
        no_funds:
          type: boolean
        result_arg:
          type: integer
        result_code:
          type: integer
        skipped_actions:
          type: integer
        spec_actions:
          type: integer
        status_change:
          type: string
        success:
          type: boolean
        tot_actions:
          type: integer
        tot_msg_size:
          $ref: '#/components/schemas/MsgSize'
        total_action_fees:
          type: string
          example: '0'
        total_fwd_fees:
          type: string
          example: '0'
        valid:
          type: boolean
    BouncePhase:
      type: object
      properties:
        fwd_fees:
          type: string
          example: '0'
        msg_fees:
          type: string
          example: '0'
        msg_size:
          $ref: '#/components/schemas/MsgSize'
        req_fwd_fees:
          type: string
          example: '0'
        type:
          type: string
    ComputePhase:
      type: object
      properties:
        account_activated:
          type: boolean
        exit_arg:
          type: integer
        exit_code:
          type: integer
        gas_credit:
          type: string
          example: '0'
        gas_fees:
          type: string
          example: '0'
        gas_limit:
          type: string
          example: '0'
        gas_used:
          type: string
          example: '0'
        mode:
          type: integer
        msg_state_used:
          type: boolean
        reason:
          type: string
        skipped:
          type: boolean
        success:
          type: boolean
        vm_final_state_hash:
          type: string
        vm_init_state_hash:
          type: string
        vm_steps:
          type: integer
    CreditPhase:
      type: object
      properties:
        credit:
          type: string
          example: '0'
        credit_extra_currencies:
          type: object
          additionalProperties:
            type: string
        due_fees_collected:
          type: string
          example: '0'
    SplitInfo:
      type: object
      properties:
        acc_split_depth:
          type: integer
        cur_shard_pfx_len:
          type: integer
        sibling_addr:
          type: string
        this_addr:
          type: string
    StoragePhase:
      type: object
      properties:
        status_change:
          type: string
        storage_fees_collected:
          type: string
          example: '0'
        storage_fees_due:
          type: string
          example: '0'
    MessageContent:
      type: object
      properties:
        body:
          type: string
        decoded:
          type: object
        hash:
          type: string
    MsgSize:
      type: object
      properties:
        bits:
          type: string
          example: '0'
        cells:
          type: string
          example: '0'

````